Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 451053 - s2io tx_fifo_num doesn't spread interrupt loads
Summary: s2io tx_fifo_num doesn't spread interrupt loads
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: kernel
Version: 5.2
Hardware: All
OS: Linux
low
low
Target Milestone: rc
: ---
Assignee: Veaceslav Falico
QA Contact: Red Hat Kernel QE team
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2008-06-12 16:06 UTC by Andrew Hecox
Modified: 2014-09-30 23:44 UTC (History)
6 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2013-11-13 03:08:04 UTC
Target Upstream Version:


Attachments (Terms of Use)

Description Andrew Hecox 2008-06-12 16:06:10 UTC
the s2io driver allows you to create up to 8 tx_fifo's. However, all interrupts
are observed to go a single queue (#1). In the -29 version of the driver
multiqueue support was added. It appears this would enable spreading interrupts
across all tx_fifo's. 

Benchmarking for small packet sizes is CPU bound; allowing multiple CPUs to
assist in interrupt processing would improve the problem.

Comment 1 Michal Schmidt 2009-11-30 07:52:08 UTC
A test kernel build with s2io backported from current upstream is now
available: https://brewweb.devel.redhat.com/taskinfo?taskID=2108561
I also uploaded it to a publicly accessible location:
http://disk.jabbim.cz/michich@jabber.cz/s2io/
Could you please test it?

Comment 3 John Feeney 2013-11-13 03:08:04 UTC
This Bugzilla has been reviewed by Red Hat and is not planned on being
addressed in Red Hat Enterprise Linux 5, and therefore is being closed.
If this bug is critical to production systems, please contact your Red
Hat support representative and provide a sufficient business justification
in order to re-open it.


Note You need to log in before you can comment on or make changes to this bug.